C3P0PooledConnectionPoolManager (c3p0-0.9.5.5 API Documentation)
Date: 2019-12-11

com.mchange.v2.c3p0.impl

## Class C3P0PooledConnectionPoolManager

- java.lang.Object
- - com.mchange.v2.c3p0.impl.C3P0PooledConnectionPoolManager

-     public final class C3P0PooledConnectionPoolManager
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `C3P0PooledConnectionPoolManager(javax.sql.ConnectionPoolDataSource cpds, java.util.Map flatPropertyOverrides, java.util.Map forceUserOverrides, int num_task_threads, java.lang.String parentDataSourceIdentityToken, java.lang.String parentDataSourceName)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `void` | `close(boolean close_outstanding_connections)`
    `protected void` | `finalize()`
    `java.lang.String` | `getAutomaticTestTable(java.lang.String userName)`
    `java.util.Set` | `getManagedAuths()`
    `int` | `getMinPoolSize(java.lang.String userName)`
    `int` | `getNumBusyConnectionsAllAuths()`
    `int` | `getNumConnectionsAllAuths()`
    `int` | `getNumIdleConnectionsAllAuths()`
    `int` | `getNumManagedAuths()`
    `int` | `getNumUnclosedOrphanedConnectionsAllAuths()`
    `C3P0PooledConnectionPool` | `getPool()`
    `C3P0PooledConnectionPool` | `getPool(DbAuth auth)`
    `C3P0PooledConnectionPool` | `getPool(java.lang.String username, java.lang.String password)`
    `C3P0PooledConnectionPool` | `getPool(java.lang.String username, java.lang.String password, boolean create)`
    `java.lang.String` | `getPreferredTestQuery(java.lang.String userName)`
    `int` | `getStatementCacheNumCheckedOutStatementsAllUsers()`
    `int` | `getStatementCacheNumConnectionsWithCachedStatementsAllUsers()`
    `int` | `getStatementCacheNumStatementsAllUsers()`
    `int` | `getStatementDestroyerNumActiveThreads()`
    `int` | `getStatementDestroyerNumConnectionsInUseAllUsers()`
    `int` | `getStatementDestroyerNumConnectionsWithDeferredDestroyStatementsAllUsers()`
    `int` | `getStatementDestroyerNumDeferredDestroyStatementsAllUsers()`
    `int` | `getStatementDestroyerNumIdleThreads()`
    `int` | `getStatementDestroyerNumTasksPending()`
    `int` | `getStatementDestroyerNumThreads()`
    `java.lang.String` | `getStatementDestroyerStackTraces()`
    `java.lang.String` | `getStatementDestroyerStatus()`
    `int` | `getThreadPoolNumActiveThreads()`
    `int` | `getThreadPoolNumIdleThreads()`
    `int` | `getThreadPoolNumTasksPending()`
    `int` | `getThreadPoolSize()`
    `java.lang.String` | `getThreadPoolStackTraces()`
    `java.lang.String` | `getThreadPoolStatus()`
    `void` | `softResetAllAuths()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### C3P0PooledConnectionPoolManager

          public C3P0PooledConnectionPoolManager(javax.sql.ConnectionPoolDataSource cpds,
                                                 java.util.Map flatPropertyOverrides,
                                                 java.util.Map forceUserOverrides,
                                                 int num_task_threads,
                                                 java.lang.String parentDataSourceIdentityToken,
                                                 java.lang.String parentDataSourceName)
                                          throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

  - ### Method Detail

    - #### getThreadPoolSize

          public int getThreadPoolSize()

    - #### getThreadPoolNumActiveThreads

          public int getThreadPoolNumActiveThreads()

    - #### getThreadPoolNumIdleThreads

          public int getThreadPoolNumIdleThreads()

    - #### getThreadPoolNumTasksPending

          public int getThreadPoolNumTasksPending()

    - #### getThreadPoolStackTraces

          public java.lang.String getThreadPoolStackTraces()

    - #### getThreadPoolStatus

          public java.lang.String getThreadPoolStatus()

    - #### getStatementDestroyerNumThreads

          public int getStatementDestroyerNumThreads()

    - #### getStatementDestroyerNumActiveThreads

          public int getStatementDestroyerNumActiveThreads()

    - #### getStatementDestroyerNumIdleThreads

          public int getStatementDestroyerNumIdleThreads()

    - #### getStatementDestroyerNumTasksPending

          public int getStatementDestroyerNumTasksPending()

    - #### getStatementDestroyerStackTraces

          public java.lang.String getStatementDestroyerStackTraces()

    - #### getStatementDestroyerStatus

          public java.lang.String getStatementDestroyerStatus()

    - #### getPool

          public C3P0PooledConnectionPool getPool(java.lang.String username,
                                                  java.lang.String password,
                                                  boolean create)
                                           throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### getPool

          public C3P0PooledConnectionPool getPool(java.lang.String username,
                                                  java.lang.String password)
                                           throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### getPool

          public C3P0PooledConnectionPool getPool(DbAuth auth)
                                           throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### getManagedAuths

          public java.util.Set getManagedAuths()

    - #### getNumManagedAuths

          public int getNumManagedAuths()

    - #### getPool

          public C3P0PooledConnectionPool getPool()
                                           throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### getNumIdleConnectionsAllAuths

          public int getNumIdleConnectionsAllAuths()
                                            throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### getNumBusyConnectionsAllAuths

          public int getNumBusyConnectionsAllAuths()
                                            throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### getNumConnectionsAllAuths

          public int getNumConnectionsAllAuths()
                                        throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### getNumUnclosedOrphanedConnectionsAllAuths

          public int getNumUnclosedOrphanedConnectionsAllAuths()
                                                        throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### getStatementCacheNumStatementsAllUsers

          public int getStatementCacheNumStatementsAllUsers()
                                                     throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### getStatementCacheNumCheckedOutStatementsAllUsers

          public int getStatementCacheNumCheckedOutStatementsAllUsers()
                                                               throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### getStatementCacheNumConnectionsWithCachedStatementsAllUsers

          public int getStatementCacheNumConnectionsWithCachedStatementsAllUsers()
                                                                          throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### getStatementDestroyerNumConnectionsInUseAllUsers

          public int getStatementDestroyerNumConnectionsInUseAllUsers()
                                                               throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### getStatementDestroyerNumConnectionsWithDeferredDestroyStatementsAllUsers

          public int getStatementDestroyerNumConnectionsWithDeferredDestroyStatementsAllUsers()
                                                                                       throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### getStatementDestroyerNumDeferredDestroyStatementsAllUsers

          public int getStatementDestroyerNumDeferredDestroyStatementsAllUsers()
                                                                        throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### softResetAllAuths

          public void softResetAllAuths()
                                 throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### close

          public void close()

    - #### close

          public void close(boolean close_outstanding_connections)

    - #### finalize

          protected void finalize()

      Overrides:
        `finalize` in class `java.lang.Object`

    - #### getAutomaticTestTable

          public java.lang.String getAutomaticTestTable(java.lang.String userName)

    - #### getPreferredTestQuery

          public java.lang.String getPreferredTestQuery(java.lang.String userName)

    - #### getMinPoolSize

          public int getMinPoolSize(java.lang.String userName)